uk.ac.starlink.pds4

## Interface Group

- All Superinterfaces:
    RecordItem

      public interface Group
      extends RecordItem

  Characterises a PDS4 Group_Field_* object. These correspond to (possibly nested) groups of table fields.
  Since:
    30 Nov 2021

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordItem[]` | `getContents()` Returns the fields or nested groups that are present in this group.
    `java.lang.String` | `getDescription()` Returns the optional group description.
    `int` | `getGroupLength()` Returns the number of bytes this group occupies in a fixed-length record.
    `int` | `getGroupLocation()` Returns the 1-based byte offset into the record at which this group is found.
    `java.lang.String` | `getName()` Returns the optional group name.
    `int` | `getRepetitions()` Returns the number of repetitions of this group.

- - ### Method Detail

    - #### getRepetitions

          int getRepetitions()

      Returns the number of repetitions of this group. This is the PDS4 `repetitions` item.
      Returns:
        repetition count

    - #### getGroupLocation

          int getGroupLocation()

      Returns the 1-based byte offset into the record at which this group is found. This is the PDS4 `group_location` item, and only appears for Binary and Character groups.
      Returns:
        1-based group location byte offset, or negative value for Delimited groups

    - #### getGroupLength

          int getGroupLength()

      Returns the number of bytes this group occupies in a fixed-length record. This is the PDS4 `group_length` item, and only appears for Binary and Character groups.
      Returns:
        group total byte count, or negative value for Delimited groups

    - #### getName

          java.lang.String getName()

      Returns the optional group name.
      Returns:
        group name, or null

    - #### getDescription

          java.lang.String getDescription()

      Returns the optional group description.
      Returns:
        group description, or null

    - #### getContents

          RecordItem[] getContents()

      Returns the fields or nested groups that are present in this group.
      Returns:
        array of fields and groups